Guard Rodic:
Well, I have no personal knowledge of it but I can tell you what I've heard...
It is said that Eva, the Goddess of Water, has a palace deep beneath the waves. It is surrounded by an inpenetrable garden, designed to repel invaders... The guards have searched for the entrace to her palace for years without success. Perhaps they have been looking in the wrong place... Maybe the entrance is underwater? At least that seems to be where they have been concentrating their serch lately. I hope they don't ask us to help them!
Return